Alerting
Alerting enables you to define rules, which detect complex conditions within your data. When a condition is met, the rule tracks it as an alert and runs the actions that are defined in the rule. Actions typically involve the use of connectors to interact with Kibana services or third party integrations.
-
Get the alerting framework health
- GET /api/alerting/_health
-
Get rule details
- GET /api/alerting/rule/{id}
-
Create a rule
- POST /api/alerting/rule/{id}
-
Update a rule
- PUT /api/alerting/rule/{id}
-
Delete a rule
- DELETE /api/alerting/rule/{id}
-
Disable a rule
- POST /api/alerting/rule/{id}/_disable
-
Enable a rule
- POST /api/alerting/rule/{id}/_enable
-
Mute all alerts
- POST /api/alerting/rule/{id}/_mute_all
-
Unmute all alerts
- POST /api/alerting/rule/{id}/_unmute_all
-
Update the API key for a rule
- POST /api/alerting/rule/{id}/_update_api_key
-
Schedule a snooze for the rule
- POST /api/alerting/rule/{id}/snooze_schedule
-
Delete a snooze schedule for a rule
- DELETE /api/alerting/rule/{ruleId}/snooze_schedule/{scheduleId}
-
Mute an alert
- POST /api/alerting/rule/{rule_id}/alert/{alert_id}/_mute
-
Unmute an alert
- POST /api/alerting/rule/{rule_id}/alert/{alert_id}/_unmute
-
Get the rule types
- GET /api/alerting/rule_types
-
Get information about rules
- GET /api/alerting/rules/_find
-
Get an alert by identifier
Deprecated
- GET /api/alerts/alert/{alertId}
-
Create an alert
Deprecated
- POST /api/alerts/alert/{alertId}
-
Update an alert
Deprecated
- PUT /api/alerts/alert/{alertId}
-
Delete an alert
Deprecated
- DELETE /api/alerts/alert/{alertId}
-
Disable an alert
Deprecated
- POST /api/alerts/alert/{alertId}/_disable
-
Enable an alert
Deprecated
- POST /api/alerts/alert/{alertId}/_enable
-
Mute all alert instances
Deprecated
- POST /api/alerts/alert/{alertId}/_mute_all
-
Unmute all alert instances
Deprecated
- POST /api/alerts/alert/{alertId}/_unmute_all
-
Mute an alert instance
Deprecated
- POST /api/alerts/alert/{alertId}/alert_instance/{alertInstanceId}/_mute
-
Unmute an alert instance
Deprecated
- POST /api/alerts/alert/{alertId}/alert_instance/{alertInstanceId}/_unmute
-
Get a paginated set of alerts
Deprecated
- GET /api/alerts/alerts/_find
-
Get the alerting framework health
Deprecated
- GET /api/alerts/alerts/_health
-
Get the alert types
Deprecated
- GET /api/alerts/alerts/list_alert_types